package yangtz.cs.liu.dingding.service.dingDept;

import com.alibaba.fastjson.JSONObject;
import com.dingtalk.api.response.OapiV2DepartmentListsubResponse;

import java.util.List;

public interface IDdDeptService {

    /**
     * 获取钉钉全部部门列表
     * @return
     */
    List<OapiV2DepartmentListsubResponse.DeptBaseResponse> getDeptList();

    /**
     * 下拉钉钉部门列表到系统
     * @return
     */
    int addDdDept();

    /**
     * 同步钉钉部门列表
     * @return
     */
    String syncDdDept();

    /**
     * 钉钉部门创建
     */
    int ddDeptCreate(JSONObject eventJson);

    /**
     * 钉钉部门修改
     */
    int ddDeptUpdate(JSONObject eventJson);

    /**
     * 钉钉部门删除
     */
    int ddDeptDelete(JSONObject eventJson);
}
